<ion-card
    class="appointment radius-5 mt-0"
    routerLink="/consultation"
    [queryParams]="{ consultationId: item.id }"
>
    <ion-card-content class="ion-no-padding">
        <!-- camera icon -->
        <ion-row class="ion-justify-content-end" *ngIf="showCam">
            <ion-col
                size="auto"
                [disabled]="disabled"
                class="ion-no-padding pr-12"
            >
                <ion-icon
                    color="white"
                    name="videocam-outline"
                    class="size-14"
                ></ion-icon>
            </ion-col>
        </ion-row>
        <ion-row class="ion-nowrap has-background-primary mb-9">
            <ion-col size="auto" class="ion-no-padding">
                <ion-avatar class="width-60 height-60 mb-10">
                    <app-img
                        [src]="item.calendar.doctor.photo"
                        [errorSrc]="defaultAvatar"
                        [alt]="item.calendar.doctor.name"
                        [title]="item.calendar.doctor.name"
                    ></app-img>
                </ion-avatar>
            </ion-col>
            <ion-col
                size="auto"
                class="ion-no-padding ion-text-start ml-8 pt-4"
            >
                <ion-text class="weight-600 size-18" color="white-light">
                    Dr {{ item.calendar.doctor.name }}
                    {{ item.calendar.doctor.firstname }}
                </ion-text>
                <div class="mt-7">
                    <ion-text class="size-14 weight-400" color="white-pale">
                        {{ item.problemDescription | shorten : 30 : '...' }}
                    </ion-text>
                </div>
            </ion-col>
        </ion-row>
        <ion-row
            class="has-background-tertiary size-12 ion-align-items-center ion-justify-content-center py-5 ion-no-margin mr-1"
        >
            <ion-col
                size="auto"
                class="ion-align-items-center ion-no-padding appointment__info"
            >
                <ion-icon name="calendar" color="primary"></ion-icon>
                <ion-text class="pl-4 weight-800" color="dark">
                    {{
                        (
                            item.calendar.availableDate
                            | date : 'EEE, dd MMMM yyyy'
                        )
                            .split('.')
                            .join('') | titlecase
                    }}
                </ion-text>
            </ion-col>
            <ion-col
                size="auto"
                class="ion-align-items-center appointment__info ion-no-padding"
            >
                <ion-icon name="time" color="primary" class="mx-4"></ion-icon>

                <ion-text class="weight-800" color="dark">
                    {{ item.calendar.availableDateStart | slice : 0 : 5 }}
                </ion-text>
            </ion-col>
            <ion-col
                size="auto"
                class="ion-align-items-center appointment__info ion-no-padding"
            >
                <ion-icon
                    class="size-10 mx-4"
                    name="ellipse"
                    [ngClass]="{
                        'is-primary':
                            item.status === ConsultationStatus.terminated,
                        'is-success':
                            item.status === ConsultationStatus.confirmByDoctor,
                        'is-danger': item.status === ConsultationStatus.annuled,
                        'is-secondary':
                            item.status === ConsultationStatus.waiting,
                        'is-warning': item.status === ConsultationStatus.payed
                    }"
                ></ion-icon>
                <ion-text
                    class="ion-padding-start-thin weight-800"
                    color="dark"
                >
                    {{
                        item.status
                            | message : statusMessages : ConsultationStatus
                    }}
                </ion-text>
            </ion-col>
        </ion-row>
    </ion-card-content>
</ion-card>
